# $Id: bogofilter.spec.in,v 1.6.4.1 2002/10/25 23:38:03 m-a Exp $

Name: bogofilter
Version: 0.7.6
Release: 1
URL: http://bogofilter.sourceforge.net
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/Internet
Summary: fast anti-spam filtering by Bayesian statistical analysis
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Bogofilter is a Bayesian spam filter.  In its normal mode of
operation, it takes an email message or other text on standard input,
does a statistical check against lists of "good" and "bad" words, and
returns a status code indicating whether or not the message is spam.
Bogofilter is designed with fast algorithms  (including Berkeley DB system),
coded directly in C, and tuned for speed, so it can be used for production
by sites that process a lot of mail.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
  --prefix=%{_prefix} \
  --mandir=%{_mandir}

%build
make all check

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
gzip -f -9 $RPM_BUILD_ROOT/%{_mandir}/*/*.[1-9]

%files
%defattr(-,root,root)
%{_mandir}/man1/bogofilter.1.*
%{_mandir}/man1/bogoutil.1.*
%{_mandir}/man1/bogoupgrade.1.*
%{_bindir}/bogofilter
%{_bindir}/bogoutil
%{_bindir}/bogoupgrade
%doc AUTHORS COPYING NEWS README TODO UPGRADE
%doc bogoutil.xml bogoupgrade.xml bogofilter.xml
%doc doc/* contrib/* bogo.R

%changelog
